Bug 82506 - Custom extension for deploying templates does not work under Windows
Summary: Custom extension for deploying templates does not work under Windows
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: sdk (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-12 11:20 UTC by Andreas Heinlein
Modified: 2019-12-03 14:18 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
minimal working extension which allows to reproduce the bug (27.37 KB, application/vnd.openofficeorg.extension)
2014-08-12 11:20 UTC, Andreas Heinlein
Details
minimal working extension which allows to reproduce the bug (27.37 KB, application/vnd.openofficeorg.extension)
2014-08-12 11:22 UTC, Andreas Heinlein
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Heinlein 2014-08-12 11:20:37 UTC
Created attachment 104491 [details]
minimal working extension which allows to reproduce the bug

We have created a custom extension for deploying settings and templates to our users. This used to work and is still working with current versions of LibreOffice 4.2.5.2 and 4.3.0.4 under Ubuntu 12.04, but does not work with the same versions under Windows 7.

The extension deploys several writer templates in a directory (called "Textdokumente") and sets one of them as the default template.
Under Ubuntu, the folder "Textdokumente" and its contents shows up in the template selector, and the default template is used when creating a blank new document.
Under Windows, the folder "Textdokumente" does not show up. When trying to create a new blank document, LO complains that "Standard.ott" is defective and needs to be repaired. An attempt to repair it is unsuccessful. Opening "Standard.ott" manually from the installed location (i.e. C:\Users\<Username>\AppData\Roaming\LibreOffice\4\user\uno_packages\cache\uno_packages\_tmp.123456\opendocument\Textdokumente\Standard.ott) works just fine. Moving or renaming it gives a "File not found" error, so you can tell LO is actually trying to access the correct file.

I have attached a minimal working extension which allows to reproduce the bug.
Comment 1 Andreas Heinlein 2014-08-12 11:22:22 UTC
Created attachment 104492 [details]
minimal working extension which allows to reproduce the bug
Comment 2 Stephan Raab 2014-08-29 08:22:37 UTC
We have the same Problem with LO 4.2.6.2 under Windows 7.

If I use the variable %origin% (%origin/template/xxx/xxx.ott) in the setup.xcu file it always popup the error messages on startup (Libreoffice Writer): 
"Die Datei 'XXX.ott' ist defekt und kann deshalb nicht geöffnet werden. LibreOffice kann versuchen, die Datei zu reparieren.

Der Defekt kann nur durch eine Manipulation am Dokument oder durch einen Fehler bei der Datenübertragung verursacht worden sein.

Sie sollten dem Inhalt der Datei nicht vertrauen.
Das Ausführen von Makros wird in diesem Dokument deaktiviert.

Soll LibreOffice die Datei reparieren? (Ja) (Nein)" 
On press answer (Ja) or (Nein) the next message is:
"Die Datei 'XXX.ott' konnte nicht repariert werden und kann deshalb nicht geöffnet werden." (OK)
Press (OK)
Next popup: "Allgemeiner Fehler"

LO doesn't start!

We have tried another path in setup.xcu with variable $(inst) "$(inst)/share/template/xxx/XXX.ott" and copy the file manually to the install path and now it works without error message!
LO starts!
Comment 3 Michael Stahl (CIB) 2015-04-02 10:49:47 UTC
the description isn't clear:
did this work in a version older than 4.2.5.2 *on Windows* ?

confirmed by comment #2 => NEW
Comment 4 tommy27 2016-04-16 07:25:56 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-05-22 13:27:58 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2019-12-03 14:18:52 UTC
Dear Andreas Heinlein,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug